### Method

# Gtk ConstraintLayout observe_guides

#### Declaration [src]

    GListModel*
    gtk_constraint_layout_observe_guides (
      GtkConstraintLayout* layout
    )

#### Description [src]

Returns a `GListModel` to track the guides that are part of the layout.

Calling this function will enable extra internal bookkeeping to track guides and emit signals on the returned listmodel. It may slow down operations a lot.

Applications should try hard to avoid calling this function because of the slowdowns.

#### Return value

Type: A list model of `GtkConstraintGuide`

A `GListModel` tracking the layout’s guides.

The caller of the method takes ownership of the data, and is responsible for freeing it.